> ## Documentation Index
> Fetch the complete documentation index at: https://gnosispay-feat-v2-auth-module.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Available Terms

> Get all available terms types with current versions (requires wallet authentication)



## OpenAPI

````yaml https://core.prod.gnosispay.com/user-api/openapi.json get /terms
openapi: 3.1.0
info:
  title: User Service
  version: 0.0.0
servers: []
security: []
tags:
  - name: Health
  - name: Auth
  - name: User
  - name: Cards
  - name: Phone
  - name: PCI
  - name: Terms
  - name: Source of Funds
paths:
  /terms:
    get:
      tags:
        - Terms
      summary: List Available Terms
      description: >-
        Get all available terms types with current versions (requires wallet
        authentication)
      operationId: Terms_list
      parameters: []
      responses:
        '200':
          description: Terms listed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTermsResponse'
        '401':
          description: Unauthorized - Invalid JWT
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTermsUnauthorized'
        '502':
          description: Core API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTermsBadGateway'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - BearerAuth: []
components:
  schemas:
    GetTermsResponse:
      type: object
      required:
        - terms
      properties:
        terms:
          type: array
          items:
            $ref: '#/components/schemas/TermsItem'
      description: Terms listed successfully
    GetTermsUnauthorized:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
      description: Unauthorized - Invalid JWT
    GetTermsBadGateway:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
      description: Core API error
    Error:
      type: object
      required:
        - success
        - error
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
    TermsItem:
      type: object
      required:
        - type
        - currentVersion
        - name
        - url
      properties:
        type:
          type: string
        currentVersion:
          type: string
        name:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: Bearer

````